IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/68
Addresses2^60
/64 networksPart of one
- Network
2001:db8:0:a:1000::/68- First address
2001:db8:0:a:1000::- Last address
2001:db8:0:a:1fff:ffff:ffff:ffff- Addresses
- 1,152,921,504,606,846,976 (2^60)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:000a:1000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
1.a.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:a:1000::/68 makes 4,096 subnets of /80; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:a:1000::/80 | 2001:db8:0:a:1000:ffff:ffff:ffff |
| 2 | 2001:db8:0:a:1001::/80 | 2001:db8:0:a:1001:ffff:ffff:ffff |
| 3 | 2001:db8:0:a:1002::/80 | 2001:db8:0:a:1002:ffff:ffff:ffff |
| 4 | 2001:db8:0:a:1003::/80 | 2001:db8:0:a:1003:ffff:ffff:ffff |
| 5 | 2001:db8:0:a:1004::/80 | 2001:db8:0:a:1004:ffff:ffff:ffff |
| 6 | 2001:db8:0:a:1005::/80 | 2001:db8:0:a:1005:ffff:ffff:ffff |
| 7 | 2001:db8:0:a:1006::/80 | 2001:db8:0:a:1006:ffff:ffff:ffff |
| 8 | 2001:db8:0:a:1007::/80 | 2001:db8:0:a:1007:ffff:ffff:ffff |
| 9 | 2001:db8:0:a:1008::/80 | 2001:db8:0:a:1008:ffff:ffff:ffff |
| 10 | 2001:db8:0:a:1009::/80 | 2001:db8:0:a:1009:ffff:ffff:ffff |
| 11 | 2001:db8:0:a:100a::/80 | 2001:db8:0:a:100a:ffff:ffff:ffff |
| 12 | 2001:db8:0:a:100b::/80 | 2001:db8:0:a:100b:ffff:ffff:ffff |
| 13 | 2001:db8:0:a:100c::/80 | 2001:db8:0:a:100c:ffff:ffff:ffff |
| 14 | 2001:db8:0:a:100d::/80 | 2001:db8:0:a:100d:ffff:ffff:ffff |
| 15 | 2001:db8:0:a:100e::/80 | 2001:db8:0:a:100e:ffff:ffff:ffff |
| 16 | 2001:db8:0:a:100f::/80 | 2001:db8:0:a:100f:ffff:ffff:ffff |
| 17 | 2001:db8:0:a:1010::/80 | 2001:db8:0:a:1010:ffff:ffff:ffff |
| 18 | 2001:db8:0:a:1011::/80 | 2001:db8:0:a:1011:ffff:ffff:ffff |
| 19 | 2001:db8:0:a:1012::/80 | 2001:db8:0:a:1012:ffff:ffff:ffff |
| 20 | 2001:db8:0:a:1013::/80 | 2001:db8:0:a:1013:ffff:ffff:ffff |
| 21 | 2001:db8:0:a:1014::/80 | 2001:db8:0:a:1014:ffff:ffff:ffff |
| 22 | 2001:db8:0:a:1015::/80 | 2001:db8:0:a:1015:ffff:ffff:ffff |
| 23 | 2001:db8:0:a:1016::/80 | 2001:db8:0:a:1016:ffff:ffff:ffff |
| 24 | 2001:db8:0:a:1017::/80 | 2001:db8:0:a:1017:ffff:ffff:ffff |
| 25 | 2001:db8:0:a:1018::/80 | 2001:db8:0:a:1018:ffff:ffff:ffff |
| 26 | 2001:db8:0:a:1019::/80 | 2001:db8:0:a:1019:ffff:ffff:ffff |
| 27 | 2001:db8:0:a:101a::/80 | 2001:db8:0:a:101a:ffff:ffff:ffff |
| 28 | 2001:db8:0:a:101b::/80 | 2001:db8:0:a:101b:ffff:ffff:ffff |
| 29 | 2001:db8:0:a:101c::/80 | 2001:db8:0:a:101c:ffff:ffff:ffff |
| 30 | 2001:db8:0:a:101d::/80 | 2001:db8:0:a:101d:ffff:ffff:ffff |
| 31 | 2001:db8:0:a:101e::/80 | 2001:db8:0:a:101e:ffff:ffff:ffff |
| 32 | 2001:db8:0:a:101f::/80 | 2001:db8:0:a:101f:ffff:ffff:ffff |
| 33 | 2001:db8:0:a:1020::/80 | 2001:db8:0:a:1020:ffff:ffff:ffff |
| 34 | 2001:db8:0:a:1021::/80 | 2001:db8:0:a:1021:ffff:ffff:ffff |
| 35 | 2001:db8:0:a:1022::/80 | 2001:db8:0:a:1022:ffff:ffff:ffff |
| 36 | 2001:db8:0:a:1023::/80 | 2001:db8:0:a:1023:ffff:ffff:ffff |
| 37 | 2001:db8:0:a:1024::/80 | 2001:db8:0:a:1024:ffff:ffff:ffff |
| 38 | 2001:db8:0:a:1025::/80 | 2001:db8:0:a:1025:ffff:ffff:ffff |
| 39 | 2001:db8:0:a:1026::/80 | 2001:db8:0:a:1026:ffff:ffff:ffff |
| 40 | 2001:db8:0:a:1027::/80 | 2001:db8:0:a:1027:ffff:ffff:ffff |
| 41 | 2001:db8:0:a:1028::/80 | 2001:db8:0:a:1028:ffff:ffff:ffff |
| 42 | 2001:db8:0:a:1029::/80 | 2001:db8:0:a:1029:ffff:ffff:ffff |
| 43 | 2001:db8:0:a:102a::/80 | 2001:db8:0:a:102a:ffff:ffff:ffff |
| 44 | 2001:db8:0:a:102b::/80 | 2001:db8:0:a:102b:ffff:ffff:ffff |
| 45 | 2001:db8:0:a:102c::/80 | 2001:db8:0:a:102c:ffff:ffff:ffff |
| 46 | 2001:db8:0:a:102d::/80 | 2001:db8:0:a:102d:ffff:ffff:ffff |
| 47 | 2001:db8:0:a:102e::/80 | 2001:db8:0:a:102e:ffff:ffff:ffff |
| 48 | 2001:db8:0:a:102f::/80 | 2001:db8:0:a:102f:ffff:ffff:ffff |
| 49 | 2001:db8:0:a:1030::/80 | 2001:db8:0:a:1030:ffff:ffff:ffff |
| 50 | 2001:db8:0:a:1031::/80 | 2001:db8:0:a:1031:ffff:ffff:ffff |
| 51 | 2001:db8:0:a:1032::/80 | 2001:db8:0:a:1032:ffff:ffff:ffff |
| 52 | 2001:db8:0:a:1033::/80 | 2001:db8:0:a:1033:ffff:ffff:ffff |
| 53 | 2001:db8:0:a:1034::/80 | 2001:db8:0:a:1034:ffff:ffff:ffff |
| 54 | 2001:db8:0:a:1035::/80 | 2001:db8:0:a:1035:ffff:ffff:ffff |
| 55 | 2001:db8:0:a:1036::/80 | 2001:db8:0:a:1036:ffff:ffff:ffff |
| 56 | 2001:db8:0:a:1037::/80 | 2001:db8:0:a:1037:ffff:ffff:ffff |
| 57 | 2001:db8:0:a:1038::/80 | 2001:db8:0:a:1038:ffff:ffff:ffff |
| 58 | 2001:db8:0:a:1039::/80 | 2001:db8:0:a:1039:ffff:ffff:ffff |
| 59 | 2001:db8:0:a:103a::/80 | 2001:db8:0:a:103a:ffff:ffff:ffff |
| 60 | 2001:db8:0:a:103b::/80 | 2001:db8:0:a:103b:ffff:ffff:ffff |
| 61 | 2001:db8:0:a:103c::/80 | 2001:db8:0:a:103c:ffff:ffff:ffff |
| 62 | 2001:db8:0:a:103d::/80 | 2001:db8:0:a:103d:ffff:ffff:ffff |
| 63 | 2001:db8:0:a:103e::/80 | 2001:db8:0:a:103e:ffff:ffff:ffff |
| 64 | 2001:db8:0:a:103f::/80 | 2001:db8:0:a:103f:ffff:ffff:ffff |
| 65 | 2001:db8:0:a:1040::/80 | 2001:db8:0:a:1040:ffff:ffff:ffff |
| 66 | 2001:db8:0:a:1041::/80 | 2001:db8:0:a:1041:ffff:ffff:ffff |
| 67 | 2001:db8:0:a:1042::/80 | 2001:db8:0:a:1042:ffff:ffff:ffff |
| 68 | 2001:db8:0:a:1043::/80 | 2001:db8:0:a:1043:ffff:ffff:ffff |
| 69 | 2001:db8:0:a:1044::/80 | 2001:db8:0:a:1044:ffff:ffff:ffff |
| 70 | 2001:db8:0:a:1045::/80 | 2001:db8:0:a:1045:ffff:ffff:ffff |
| 71 | 2001:db8:0:a:1046::/80 | 2001:db8:0:a:1046:ffff:ffff:ffff |
| 72 | 2001:db8:0:a:1047::/80 | 2001:db8:0:a:1047:ffff:ffff:ffff |
| 73 | 2001:db8:0:a:1048::/80 | 2001:db8:0:a:1048:ffff:ffff:ffff |
| 74 | 2001:db8:0:a:1049::/80 | 2001:db8:0:a:1049:ffff:ffff:ffff |
| 75 | 2001:db8:0:a:104a::/80 | 2001:db8:0:a:104a:ffff:ffff:ffff |
| 76 | 2001:db8:0:a:104b::/80 | 2001:db8:0:a:104b:ffff:ffff:ffff |
| 77 | 2001:db8:0:a:104c::/80 | 2001:db8:0:a:104c:ffff:ffff:ffff |
| 78 | 2001:db8:0:a:104d::/80 | 2001:db8:0:a:104d:ffff:ffff:ffff |
| 79 | 2001:db8:0:a:104e::/80 | 2001:db8:0:a:104e:ffff:ffff:ffff |
| 80 | 2001:db8:0:a:104f::/80 | 2001:db8:0:a:104f:ffff:ffff:ffff |
| 81 | 2001:db8:0:a:1050::/80 | 2001:db8:0:a:1050:ffff:ffff:ffff |
| 82 | 2001:db8:0:a:1051::/80 | 2001:db8:0:a:1051:ffff:ffff:ffff |
| 83 | 2001:db8:0:a:1052::/80 | 2001:db8:0:a:1052:ffff:ffff:ffff |
| 84 | 2001:db8:0:a:1053::/80 | 2001:db8:0:a:1053:ffff:ffff:ffff |
| 85 | 2001:db8:0:a:1054::/80 | 2001:db8:0:a:1054:ffff:ffff:ffff |
| 86 | 2001:db8:0:a:1055::/80 | 2001:db8:0:a:1055:ffff:ffff:ffff |
| 87 | 2001:db8:0:a:1056::/80 | 2001:db8:0:a:1056:ffff:ffff:ffff |
| 88 | 2001:db8:0:a:1057::/80 | 2001:db8:0:a:1057:ffff:ffff:ffff |
| 89 | 2001:db8:0:a:1058::/80 | 2001:db8:0:a:1058:ffff:ffff:ffff |
| 90 | 2001:db8:0:a:1059::/80 | 2001:db8:0:a:1059:ffff:ffff:ffff |
| 91 | 2001:db8:0:a:105a::/80 | 2001:db8:0:a:105a:ffff:ffff:ffff |
| 92 | 2001:db8:0:a:105b::/80 | 2001:db8:0:a:105b:ffff:ffff:ffff |
| 93 | 2001:db8:0:a:105c::/80 | 2001:db8:0:a:105c:ffff:ffff:ffff |
| 94 | 2001:db8:0:a:105d::/80 | 2001:db8:0:a:105d:ffff:ffff:ffff |
| 95 | 2001:db8:0:a:105e::/80 | 2001:db8:0:a:105e:ffff:ffff:ffff |
| 96 | 2001:db8:0:a:105f::/80 | 2001:db8:0:a:105f:ffff:ffff:ffff |
| 97 | 2001:db8:0:a:1060::/80 | 2001:db8:0:a:1060:ffff:ffff:ffff |
| 98 | 2001:db8:0:a:1061::/80 | 2001:db8:0:a:1061:ffff:ffff:ffff |
| 99 | 2001:db8:0:a:1062::/80 | 2001:db8:0:a:1062:ffff:ffff:ffff |
| 100 | 2001:db8:0:a:1063::/80 | 2001:db8:0:a:1063:ffff:ffff:ffff |
| 101 | 2001:db8:0:a:1064::/80 | 2001:db8:0:a:1064:ffff:ffff:ffff |
| 102 | 2001:db8:0:a:1065::/80 | 2001:db8:0:a:1065:ffff:ffff:ffff |
| 103 | 2001:db8:0:a:1066::/80 | 2001:db8:0:a:1066:ffff:ffff:ffff |
| 104 | 2001:db8:0:a:1067::/80 | 2001:db8:0:a:1067:ffff:ffff:ffff |
| 105 | 2001:db8:0:a:1068::/80 | 2001:db8:0:a:1068:ffff:ffff:ffff |
| 106 | 2001:db8:0:a:1069::/80 | 2001:db8:0:a:1069:ffff:ffff:ffff |
| 107 | 2001:db8:0:a:106a::/80 | 2001:db8:0:a:106a:ffff:ffff:ffff |
| 108 | 2001:db8:0:a:106b::/80 | 2001:db8:0:a:106b:ffff:ffff:ffff |
| 109 | 2001:db8:0:a:106c::/80 | 2001:db8:0:a:106c:ffff:ffff:ffff |
| 110 | 2001:db8:0:a:106d::/80 | 2001:db8:0:a:106d:ffff:ffff:ffff |
| 111 | 2001:db8:0:a:106e::/80 | 2001:db8:0:a:106e:ffff:ffff:ffff |
| 112 | 2001:db8:0:a:106f::/80 | 2001:db8:0:a:106f:ffff:ffff:ffff |
| 113 | 2001:db8:0:a:1070::/80 | 2001:db8:0:a:1070:ffff:ffff:ffff |
| 114 | 2001:db8:0:a:1071::/80 | 2001:db8:0:a:1071:ffff:ffff:ffff |
| 115 | 2001:db8:0:a:1072::/80 | 2001:db8:0:a:1072:ffff:ffff:ffff |
| 116 | 2001:db8:0:a:1073::/80 | 2001:db8:0:a:1073:ffff:ffff:ffff |
| 117 | 2001:db8:0:a:1074::/80 | 2001:db8:0:a:1074:ffff:ffff:ffff |
| 118 | 2001:db8:0:a:1075::/80 | 2001:db8:0:a:1075:ffff:ffff:ffff |
| 119 | 2001:db8:0:a:1076::/80 | 2001:db8:0:a:1076:ffff:ffff:ffff |
| 120 | 2001:db8:0:a:1077::/80 | 2001:db8:0:a:1077:ffff:ffff:ffff |
| 121 | 2001:db8:0:a:1078::/80 | 2001:db8:0:a:1078:ffff:ffff:ffff |
| 122 | 2001:db8:0:a:1079::/80 | 2001:db8:0:a:1079:ffff:ffff:ffff |
| 123 | 2001:db8:0:a:107a::/80 | 2001:db8:0:a:107a:ffff:ffff:ffff |
| 124 | 2001:db8:0:a:107b::/80 | 2001:db8:0:a:107b:ffff:ffff:ffff |
| 125 | 2001:db8:0:a:107c::/80 | 2001:db8:0:a:107c:ffff:ffff:ffff |
| 126 | 2001:db8:0:a:107d::/80 | 2001:db8:0:a:107d:ffff:ffff:ffff |
| 127 | 2001:db8:0:a:107e::/80 | 2001:db8:0:a:107e:ffff:ffff:ffff |
| 128 | 2001:db8:0:a:107f::/80 | 2001:db8:0:a:107f:ffff:ffff:ffff |
| 129 | 2001:db8:0:a:1080::/80 | 2001:db8:0:a:1080:ffff:ffff:ffff |
| 130 | 2001:db8:0:a:1081::/80 | 2001:db8:0:a:1081:ffff:ffff:ffff |
| 131 | 2001:db8:0:a:1082::/80 | 2001:db8:0:a:1082:ffff:ffff:ffff |
| 132 | 2001:db8:0:a:1083::/80 | 2001:db8:0:a:1083:ffff:ffff:ffff |
| 133 | 2001:db8:0:a:1084::/80 | 2001:db8:0:a:1084:ffff:ffff:ffff |
| 134 | 2001:db8:0:a:1085::/80 | 2001:db8:0:a:1085:ffff:ffff:ffff |
| 135 | 2001:db8:0:a:1086::/80 | 2001:db8:0:a:1086:ffff:ffff:ffff |
| 136 | 2001:db8:0:a:1087::/80 | 2001:db8:0:a:1087:ffff:ffff:ffff |
| 137 | 2001:db8:0:a:1088::/80 | 2001:db8:0:a:1088:ffff:ffff:ffff |
| 138 | 2001:db8:0:a:1089::/80 | 2001:db8:0:a:1089:ffff:ffff:ffff |
| 139 | 2001:db8:0:a:108a::/80 | 2001:db8:0:a:108a:ffff:ffff:ffff |
| 140 | 2001:db8:0:a:108b::/80 | 2001:db8:0:a:108b:ffff:ffff:ffff |
| 141 | 2001:db8:0:a:108c::/80 | 2001:db8:0:a:108c:ffff:ffff:ffff |
| 142 | 2001:db8:0:a:108d::/80 | 2001:db8:0:a:108d:ffff:ffff:ffff |
| 143 | 2001:db8:0:a:108e::/80 | 2001:db8:0:a:108e:ffff:ffff:ffff |
| 144 | 2001:db8:0:a:108f::/80 | 2001:db8:0:a:108f:ffff:ffff:ffff |
| 145 | 2001:db8:0:a:1090::/80 | 2001:db8:0:a:1090:ffff:ffff:ffff |
| 146 | 2001:db8:0:a:1091::/80 | 2001:db8:0:a:1091:ffff:ffff:ffff |
| 147 | 2001:db8:0:a:1092::/80 | 2001:db8:0:a:1092:ffff:ffff:ffff |
| 148 | 2001:db8:0:a:1093::/80 | 2001:db8:0:a:1093:ffff:ffff:ffff |
| 149 | 2001:db8:0:a:1094::/80 | 2001:db8:0:a:1094:ffff:ffff:ffff |
| 150 | 2001:db8:0:a:1095::/80 | 2001:db8:0:a:1095:ffff:ffff:ffff |
| 151 | 2001:db8:0:a:1096::/80 | 2001:db8:0:a:1096:ffff:ffff:ffff |
| 152 | 2001:db8:0:a:1097::/80 | 2001:db8:0:a:1097:ffff:ffff:ffff |
| 153 | 2001:db8:0:a:1098::/80 | 2001:db8:0:a:1098:ffff:ffff:ffff |
| 154 | 2001:db8:0:a:1099::/80 | 2001:db8:0:a:1099:ffff:ffff:ffff |
| 155 | 2001:db8:0:a:109a::/80 | 2001:db8:0:a:109a:ffff:ffff:ffff |
| 156 | 2001:db8:0:a:109b::/80 | 2001:db8:0:a:109b:ffff:ffff:ffff |
| 157 | 2001:db8:0:a:109c::/80 | 2001:db8:0:a:109c:ffff:ffff:ffff |
| 158 | 2001:db8:0:a:109d::/80 | 2001:db8:0:a:109d:ffff:ffff:ffff |
| 159 | 2001:db8:0:a:109e::/80 | 2001:db8:0:a:109e:ffff:ffff:ffff |
| 160 | 2001:db8:0:a:109f::/80 | 2001:db8:0:a:109f:ffff:ffff:ffff |
| 161 | 2001:db8:0:a:10a0::/80 | 2001:db8:0:a:10a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:a:10a1::/80 | 2001:db8:0:a:10a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:a:10a2::/80 | 2001:db8:0:a:10a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:a:10a3::/80 | 2001:db8:0:a:10a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:a:10a4::/80 | 2001:db8:0:a:10a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:a:10a5::/80 | 2001:db8:0:a:10a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:a:10a6::/80 | 2001:db8:0:a:10a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:a:10a7::/80 | 2001:db8:0:a:10a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:a:10a8::/80 | 2001:db8:0:a:10a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:a:10a9::/80 | 2001:db8:0:a:10a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:a:10aa::/80 | 2001:db8:0:a:10aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:a:10ab::/80 | 2001:db8:0:a:10ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:a:10ac::/80 | 2001:db8:0:a:10ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:a:10ad::/80 | 2001:db8:0:a:10ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:a:10ae::/80 | 2001:db8:0:a:10ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:a:10af::/80 | 2001:db8:0:a:10af:ffff:ffff:ffff |
| 177 | 2001:db8:0:a:10b0::/80 | 2001:db8:0:a:10b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:a:10b1::/80 | 2001:db8:0:a:10b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:a:10b2::/80 | 2001:db8:0:a:10b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:a:10b3::/80 | 2001:db8:0:a:10b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:a:10b4::/80 | 2001:db8:0:a:10b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:a:10b5::/80 | 2001:db8:0:a:10b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:a:10b6::/80 | 2001:db8:0:a:10b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:a:10b7::/80 | 2001:db8:0:a:10b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:a:10b8::/80 | 2001:db8:0:a:10b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:a:10b9::/80 | 2001:db8:0:a:10b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:a:10ba::/80 | 2001:db8:0:a:10ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:a:10bb::/80 | 2001:db8:0:a:10bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:a:10bc::/80 | 2001:db8:0:a:10bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:a:10bd::/80 | 2001:db8:0:a:10bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:a:10be::/80 | 2001:db8:0:a:10be:ffff:ffff:ffff |
| 192 | 2001:db8:0:a:10bf::/80 | 2001:db8:0:a:10bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:a:10c0::/80 | 2001:db8:0:a:10c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:a:10c1::/80 | 2001:db8:0:a:10c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:a:10c2::/80 | 2001:db8:0:a:10c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:a:10c3::/80 | 2001:db8:0:a:10c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:a:10c4::/80 | 2001:db8:0:a:10c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:a:10c5::/80 | 2001:db8:0:a:10c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:a:10c6::/80 | 2001:db8:0:a:10c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:a:10c7::/80 | 2001:db8:0:a:10c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:a:10c8::/80 | 2001:db8:0:a:10c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:a:10c9::/80 | 2001:db8:0:a:10c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:a:10ca::/80 | 2001:db8:0:a:10ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:a:10cb::/80 | 2001:db8:0:a:10cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:a:10cc::/80 | 2001:db8:0:a:10cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:a:10cd::/80 | 2001:db8:0:a:10cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:a:10ce::/80 | 2001:db8:0:a:10ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:a:10cf::/80 | 2001:db8:0:a:10cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:a:10d0::/80 | 2001:db8:0:a:10d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:a:10d1::/80 | 2001:db8:0:a:10d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:a:10d2::/80 | 2001:db8:0:a:10d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:a:10d3::/80 | 2001:db8:0:a:10d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:a:10d4::/80 | 2001:db8:0:a:10d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:a:10d5::/80 | 2001:db8:0:a:10d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:a:10d6::/80 | 2001:db8:0:a:10d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:a:10d7::/80 | 2001:db8:0:a:10d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:a:10d8::/80 | 2001:db8:0:a:10d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:a:10d9::/80 | 2001:db8:0:a:10d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:a:10da::/80 | 2001:db8:0:a:10da:ffff:ffff:ffff |
| 220 | 2001:db8:0:a:10db::/80 | 2001:db8:0:a:10db:ffff:ffff:ffff |
| 221 | 2001:db8:0:a:10dc::/80 | 2001:db8:0:a:10dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:a:10dd::/80 | 2001:db8:0:a:10dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:a:10de::/80 | 2001:db8:0:a:10de:ffff:ffff:ffff |
| 224 | 2001:db8:0:a:10df::/80 | 2001:db8:0:a:10df:ffff:ffff:ffff |
| 225 | 2001:db8:0:a:10e0::/80 | 2001:db8:0:a:10e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:a:10e1::/80 | 2001:db8:0:a:10e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:a:10e2::/80 | 2001:db8:0:a:10e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:a:10e3::/80 | 2001:db8:0:a:10e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:a:10e4::/80 | 2001:db8:0:a:10e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:a:10e5::/80 | 2001:db8:0:a:10e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:a:10e6::/80 | 2001:db8:0:a:10e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:a:10e7::/80 | 2001:db8:0:a:10e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:a:10e8::/80 | 2001:db8:0:a:10e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:a:10e9::/80 | 2001:db8:0:a:10e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:a:10ea::/80 | 2001:db8:0:a:10ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:a:10eb::/80 | 2001:db8:0:a:10eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:a:10ec::/80 | 2001:db8:0:a:10ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:a:10ed::/80 | 2001:db8:0:a:10ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:a:10ee::/80 | 2001:db8:0:a:10ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:a:10ef::/80 | 2001:db8:0:a:10ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:a:10f0::/80 | 2001:db8:0:a:10f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:a:10f1::/80 | 2001:db8:0:a:10f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:a:10f2::/80 | 2001:db8:0:a:10f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:a:10f3::/80 | 2001:db8:0:a:10f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:a:10f4::/80 | 2001:db8:0:a:10f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:a:10f5::/80 | 2001:db8:0:a:10f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:a:10f6::/80 | 2001:db8:0:a:10f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:a:10f7::/80 | 2001:db8:0:a:10f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:a:10f8::/80 | 2001:db8:0:a:10f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:a:10f9::/80 | 2001:db8:0:a:10f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:a:10fa::/80 | 2001:db8:0:a:10fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:a:10fb::/80 | 2001:db8:0:a:10fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:a:10fc::/80 | 2001:db8:0:a:10fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:a:10fd::/80 | 2001:db8:0:a:10fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:a:10fe::/80 | 2001:db8:0:a:10fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:a:10ff::/80 | 2001:db8:0:a:10ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |